Get a gift

This endpoint retrieves details of a given gift that was previously purchased.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Response description

ResponseTypeDescription
idintegerThe identifier of a gift. Example: 123456789.
codestringA gift code. Min length: 9, max length: 9. Example: 1A2B-3C4D.
offerIdstringThe identifier of a Cleeng offer. Example: S123123123_US.
giftedCyclesintegerHow many of the offer's billing cycles the gift covers.
deliveryDetailsobjectGift delivery details:
  • recipientEmail
string
  • The email address of the person reciving a gift (recipient).
  • personalNote
string
  • A personalized message for the person who receives a gift (recipient). Max length: 255 characters. Example: "Happy Birthday!"
  • deliveryDate
integer
  • A date when a gift should be delivered to the recipient (in UNIX timestamp format).
gifterobjectGifter’s (buyer’s) details
  • email
stringGifter’s email
  • firstName
stringGifter’s first name.
Nullable: yes
  • lastName
stringGifter's last name.
Nullable: yes
sentAtintegerTime when the gift code was sent to the recipient (in UNIX timestamp format). null if the gift has not been sent.
redeemedAtintegerTime when the gift code was redeemed by the person who received it (recipient) (in UNIX timestamp format). null if the gift has not been redeemed.
Path Params
int32
required

Gift identifier at Cleeng. It can be retrieved from the transaction list (targetId).

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json